Post by ismystore » Sat Apr 18, 2015 4:59 pm

i have a bug on my website - OpenCart 2.0.2.0
when buyer choice a product and they press on checkout to register and pay
when they press on continue they get a popup windows with this:

"SyntaxError: JSON.parse: unexpected end of data at line 1 column 1 of the JSON data OK"

how to fix this?

Newbie

Posts

Joined
Wed Apr 08, 2015 9:08 pm

Post by pm-netti » Sat Apr 18, 2015 5:37 pm

ismystore wrote:i have a bug on my website - OpenCart 2.0.2.0
when buyer choice a product and they press on checkout to register and pay
when they press on continue they get a popup windows with this:

"SyntaxError: JSON.parse: unexpected end of data at line 1 column 1 of the JSON data OK"

how to fix this?
This is Mail bugs. Install this:
https://raw.githubusercontent.com/pekka ... .ocmod.xml

Image
- - - OpenCart Upgrade Service - - -


User avatar
Active Member

Posts

Joined
Sat Apr 07, 2012 11:22 pm
Location - Kittilä-Finland

Post by ismystore » Sat Apr 18, 2015 5:54 pm

Thank you for fast replay
i have installed this via Extension Installer
bus same error.
any idia how to fix it?

Newbie

Posts

Joined
Wed Apr 08, 2015 9:08 pm

Post by gilaraujo » Sun Apr 19, 2015 10:43 am

Out of curiosity, you using any Theme? or standard OC one?
If so, which?

New member

Posts

Joined
Fri Mar 27, 2015 10:32 pm

Post by ismystore » Sun Apr 19, 2015 11:59 pm

i use astandard theme of the OC,
please anyone can help me?

Newbie

Posts

Joined
Wed Apr 08, 2015 9:08 pm

Post by viethemes » Mon Apr 27, 2015 8:10 pm

Could you provide your site url, so we can take a look at the problem closer?

http://www.viethemes.com - OpenCart turtorials, news, tips and stricks, extension

Our extensions:
Visual Theme Editor - Powerful tool for customizing style of any theme visually
Live Theme Editor - Customize layout, colors, backgrounds, fonts of the default theme
Theme Animation - Animation Editor for any theme

Extra Positions PRO, Custom JavaScript, Custom CSS and others


User avatar
Active Member

Posts

Joined
Thu Jan 08, 2015 12:17 pm


Post by ismystore » Mon Apr 27, 2015 11:04 pm

yea please, the url: ismystore.com

Newbie

Posts

Joined
Wed Apr 08, 2015 9:08 pm

Post by pm-netti » Tue Apr 28, 2015 1:16 am

ismystore wrote:yea please, the url: ismystore.com
I did test :)
Is it this redirect error?
Mail come my e-mail.

What read in file system/logs/error.log?

Image
- - - OpenCart Upgrade Service - - -


User avatar
Active Member

Posts

Joined
Sat Apr 07, 2012 11:22 pm
Location - Kittilä-Finland

Post by ismystore » Tue Apr 28, 2015 2:20 am

i have check this is the error on the file:
PHP Notice: Error: E-Mail to required! in /home/u779870322/public_html/system/library/mail.php on line 61
2015-04-27 20:13:10 -
how to fix this?

Newbie

Posts

Joined
Wed Apr 08, 2015 9:08 pm

Post by pm-netti » Tue Apr 28, 2015 2:45 am

ismystore wrote:i have check this is the error on the file:
PHP Notice: Error: E-Mail to required! in /home/u779870322/public_html/system/library/mail.php on line 61
2015-04-27 20:13:10 -
how to fix this?
This installed is not success?
http://forum.opencart.com/viewtopic.php ... 69#p556026

You check file system/modification/catalog/model/customer.php lines 80-82

Image
- - - OpenCart Upgrade Service - - -


User avatar
Active Member

Posts

Joined
Sat Apr 07, 2012 11:22 pm
Location - Kittilä-Finland

Post by ismystore » Tue Apr 28, 2015 3:05 am

You check file system/modification/catalog/model/customer.php lines 80-82
what i need to find there?
in this path i don't have this file

Newbie

Posts

Joined
Wed Apr 08, 2015 9:08 pm

Post by pm-netti » Tue Apr 28, 2015 5:38 am

ismystore wrote:
You check file system/modification/catalog/model/customer.php lines 80-82
what i need to find there?
in this path i don't have this file
I said it to only because I guessed that it was not :)
Your need install this file

https://raw.githubusercontent.com/pekka ... .ocmod.xml

copy that to file bugs.ocmod.xml and install in admin > extension > installer and then admin > extension > modification > press `refresh`

Image
- - - OpenCart Upgrade Service - - -


User avatar
Active Member

Posts

Joined
Sat Apr 07, 2012 11:22 pm
Location - Kittilä-Finland

Post by ismystore » Tue Apr 28, 2015 1:30 pm

yes yes yes - it work - thank you so so much to you

Newbie

Posts

Joined
Wed Apr 08, 2015 9:08 pm

Post by msbree » Wed Apr 29, 2015 2:43 am

<< Your need install this file

https://raw.githubusercontent.com/pekka ... .ocmod.xml

copy that to file bugs.ocmod.xml and install in admin > extension > installer and then admin > extension > modification > press `refresh`>>

I am having this same issue with 2.0.2.0

WHERE can I find this file, bugs.oxmod.xml ?

I am NOT tech savvy with these files, and am just learning OptionCart!

Thank you!

Newbie

Posts

Joined
Mon Apr 27, 2015 8:08 pm

Post by pm-netti » Wed Apr 29, 2015 5:19 am

msbree wrote: WHERE can I find this file, bugs.oxmod.xml ?!
No file name is not so important 8)
That in top was link to Github.

Image
- - - OpenCart Upgrade Service - - -


User avatar
Active Member

Posts

Joined
Sat Apr 07, 2012 11:22 pm
Location - Kittilä-Finland

Post by Middleman » Sat May 09, 2015 1:10 am

Hi,

I am having a similar problem too with this on my cart with OC20.20. Am using SMTP with SSL 465 and trying to test my registration page when I got this >

Code: Select all

PHP Notice:  Error: EHLO not accepted from server! in /var/www/vhosts/12/107431/webspace/httpdocs/bouncelite.com.hk/system/library/mail.php on line 162
I'd updated all the necessary files with the 'config_mail_smtp_hostname' correction (from the list at GitHub) https://github.com/opencart/opencart/issues/2887 as well as the customer.php changes, but it's still giving me problems and I don't know what to do...please help! :-[

New member

Posts

Joined
Sat May 09, 2015 1:04 am
Who is online

Users browsing this forum: No registered users and 11 guests